# parallel\Events::setTimeout

(0.9.0)

parallel\Events::setTimeout — Comportement

### Description

Par défaut lorsque les événements sont interrogés, un blocage se produit (au niveau de PHP) jusqu'à ce que le premier événement puisse être retourné : Définir le délai d'attente provoque le lancement d'une exception lorsque le délai d'attente est atteint.

Ceci diffère de définir le mode de blocage à `false` avec parallel\Events::setBlocking(), qui ne provoquera pas le lancement d'une exception.

public parallel\Events::setTimeout(int `$timeout`): void

Définit le délai d'attente en microsecondes.

### Exceptions

Avertissement

Lance une parallel\Events\Error si la boucle est non-bloquante.